## libmegapixels 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.23)
project(libmegapixels C)

set(LIBRARY_VERSION_MAJOR 0)
set(LIBRARY_VERSION_STRING 0.1)

set(CMAKE_C_STANDARD 23)
set(CMAKE_C_VISIBILITY_PRESET hidden)

add_library(megapixels SHARED include/libmegapixels.h src/findconfig.c src/parse.c src/mode.c src/pipeline.c src/log.c src/util.c src/convert.c src/aaa.c src/flash.c config.h)
set_target_properties(megapixels PROPERTIES
        VERSION ${LIBRARY_VERSION_STRING}
        SOVERSION ${LIBRARY_VERSION_MAJOR}
        PUBLIC_HEADER include/libmegapixels.h)
target_include_directories(megapixels PUBLIC include)
target_link_libraries(megapixels "config")


add_executable(findconfig util/findconfig.c)
target_include_directories(findconfig PUBLIC include)
target_link_libraries(findconfig PUBLIC megapixels)

add_executable(getframe util/getframe.c)
target_include_directories(getframe PUBLIC include)
target_link_libraries(getframe PUBLIC megapixels)

add_executable(sensorprofile util/sensorprofile.c)
target_include_directories(sensorprofile PUBLIC include)
target_link_libraries(sensorprofile PUBLIC megapixels)

add_executable(configlint util/configlint.c)
target_include_directories(configlint PUBLIC include)
target_link_libraries(configlint PUBLIC megapixels)

add_compile_definitions(SYSCONFDIR="/etc")
add_compile_definitions(DATADIR="/usr/share")

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_custom_command(
        OUTPUT config.h
        COMMAND touch ${CMAKE_CURRENT_BINARY_DIR}/config.h
        DEPENDS CMakeLists.txt
        COMMENT "Generating dummy header for meson compat..."
)

add_subdirectory(tests)

=== tests/CMakeLists.txt ===
find_package(Check)
include_directories(${CHECK_INCLUDE_DIRS})
link_directories(${CHECK_LIBRARY_DIRS})

add_executable(check_mode check_mode.c greatest.h)
target_include_directories(check_mode PUBLIC include)
target_link_libraries(check_mode PUBLIC libmegapixels check)

add_test(NAME check_mode COMMAND check_mode)

## libmegapixels 0.2.0

=== debian/changelog ===
libmegapixels (0.2.0-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1092362)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 08 Jan 2025 11:04:08 +0100

=== debian/control ===
Source: libmegapixels
Section: libs
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libconfig-dev,
 libdng-dev,
 meson,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://gitlab.com/megapixels-org/libmegapixels
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmegapixels
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmegapixels.git
Rules-Requires-Root: no

Package: libmegapixels1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Device abstraction library for Megapixels -- Shared library
 Megapixels is a GTK4 camera application that knows how to deal with the V4L2
 media request API. It now relies on libmegapixels for handling all the device
 and platform-specific code.
 .
 This package contains the shared library itself.

Package: libmegapixels-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libmegapixels1 (= ${binary:Version}),
Description: Device abstraction library for Megapixels -- Development files
 libmegapixels is the device abstraction layer used by Megapixels, a GTK4
 camera application supporting multiple mobile devices.
 .
 This package contains the development files for building software based on
 libmegapixels.

Package: libmegapixels-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Device abstraction library for Megapixels -- Utility programs
 libmegapixels is the device abstraction layer used by Megapixels, a GTK4
 camera application supporting multiple mobile devices.
 .
 This package contains command-line utilities that can be useful for creating
 and improving device configurations.

## libmegapixels 0.2.1

=== debian/changelog ===
libmegapixels (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * d/gbp.conf: add upstream-vcs-tag config
  * debian: update symbols file for new release
  * d/control: bump Standards-Version, no change needed

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 05 Apr 2025 12:26:41 +0200

## libmegapixels 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 add_executable(sensorprofile util/sensorprofile.c)
 target_include_directories(sensorprofile PUBLIC include)
-target_link_libraries(sensorprofile PUBLIC megapixels)
+target_link_libraries(sensorprofile PUBLIC megapixels m)
 
 add_executable(configlint util/configlint.c)
 target_include_directories(configlint PUBLIC include)

=== debian/changelog ===
libmegapixels (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 14 Aug 2025 17:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libdng-dev,
  meson,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/megapixels-org/libmegapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmegapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmegapixels.git

=== debian/rules ===
#! /usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4
opts="searchmode=plain" \
    https://gitlab.com/megapixels-org/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## libmegapixels 0.2.3

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 add_executable(check_mode check_mode.c greatest.h)
 target_include_directories(check_mode PUBLIC include)
-target_link_libraries(check_mode PUBLIC libmegapixels check)
+target_link_libraries(check_mode PUBLIC megapixels check)
 
 add_test(NAME check_mode COMMAND check_mode)

=== debian/changelog ===
libmegapixels (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * d/watch: update to version 5
  * d/control: drop obsolete Rules-Requires-Root

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Nov 2025 12:36:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://gitlab.com/megapixels-org/libmegapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmegapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmegapixels.git
-Rules-Requires-Root: no
 
 Package: libmegapixels1
 Architecture: any

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/megapixels-org/@PACKAGE@
